Editar área de membros
curl --request PATCH \
--url https://api.cakto.com.br/public_api/members/areas/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"comments_enabled": true,
"always_show_showcase": true,
"single_card_in_student_list": true,
"show_students_count": true,
"show_free_lessons_row": true,
"public_showcase": true,
"hero_title": "<string>",
"hero_description": "<string>",
"hero_cta_label": "<string>",
"hero_cta_section": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hero_cta_url": "<string>",
"title_font_family": "<string>",
"title_color": "<string>",
"subtitle_color": "<string>",
"cta_font_family": "<string>",
"cta_color": "<string>",
"logo_font_family": "<string>",
"logo_label": "<string>",
"banner_overlay_enabled": true,
"banner_overlay_color": "<string>",
"banner_overlay_opacity": 50,
"support_email": "jsmith@example.com",
"screen_capture_blocked": true,
"ebook_watermark_enabled": true,
"video_watermark_enabled": true,
"watermark_fields": []
}
'import requests
url = "https://api.cakto.com.br/public_api/members/areas/{id}/"
payload = {
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"comments_enabled": True,
"always_show_showcase": True,
"single_card_in_student_list": True,
"show_students_count": True,
"show_free_lessons_row": True,
"public_showcase": True,
"hero_title": "<string>",
"hero_description": "<string>",
"hero_cta_label": "<string>",
"hero_cta_section": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hero_cta_url": "<string>",
"title_font_family": "<string>",
"title_color": "<string>",
"subtitle_color": "<string>",
"cta_font_family": "<string>",
"cta_color": "<string>",
"logo_font_family": "<string>",
"logo_label": "<string>",
"banner_overlay_enabled": True,
"banner_overlay_color": "<string>",
"banner_overlay_opacity": 50,
"support_email": "jsmith@example.com",
"screen_capture_blocked": True,
"ebook_watermark_enabled": True,
"video_watermark_enabled": True,
"watermark_fields": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slug: '<string>',
name: '<string>',
description: '<string>',
comments_enabled: true,
always_show_showcase: true,
single_card_in_student_list: true,
show_students_count: true,
show_free_lessons_row: true,
public_showcase: true,
hero_title: '<string>',
hero_description: '<string>',
hero_cta_label: '<string>',
hero_cta_section: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
hero_cta_url: '<string>',
title_font_family: '<string>',
title_color: '<string>',
subtitle_color: '<string>',
cta_font_family: '<string>',
cta_color: '<string>',
logo_font_family: '<string>',
logo_label: '<string>',
banner_overlay_enabled: true,
banner_overlay_color: '<string>',
banner_overlay_opacity: 50,
support_email: 'jsmith@example.com',
screen_capture_blocked: true,
ebook_watermark_enabled: true,
video_watermark_enabled: true,
watermark_fields: []
})
};
fetch('https://api.cakto.com.br/public_api/members/areas/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cakto.com.br/public_api/members/areas/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'slug' => '<string>',
'name' => '<string>',
'description' => '<string>',
'comments_enabled' => true,
'always_show_showcase' => true,
'single_card_in_student_list' => true,
'show_students_count' => true,
'show_free_lessons_row' => true,
'public_showcase' => true,
'hero_title' => '<string>',
'hero_description' => '<string>',
'hero_cta_label' => '<string>',
'hero_cta_section' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'hero_cta_url' => '<string>',
'title_font_family' => '<string>',
'title_color' => '<string>',
'subtitle_color' => '<string>',
'cta_font_family' => '<string>',
'cta_color' => '<string>',
'logo_font_family' => '<string>',
'logo_label' => '<string>',
'banner_overlay_enabled' => true,
'banner_overlay_color' => '<string>',
'banner_overlay_opacity' => 50,
'support_email' => 'jsmith@example.com',
'screen_capture_blocked' => true,
'ebook_watermark_enabled' => true,
'video_watermark_enabled' => true,
'watermark_fields' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.cakto.com.br/public_api/members/areas/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"slug\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"comments_enabled\": true,\n \"always_show_showcase\": true,\n \"single_card_in_student_list\": true,\n \"show_students_count\": true,\n \"show_free_lessons_row\": true,\n \"public_showcase\": true,\n \"hero_title\": \"<string>\",\n \"hero_description\": \"<string>\",\n \"hero_cta_label\": \"<string>\",\n \"hero_cta_section\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hero_cta_url\": \"<string>\",\n \"title_font_family\": \"<string>\",\n \"title_color\": \"<string>\",\n \"subtitle_color\": \"<string>\",\n \"cta_font_family\": \"<string>\",\n \"cta_color\": \"<string>\",\n \"logo_font_family\": \"<string>\",\n \"logo_label\": \"<string>\",\n \"banner_overlay_enabled\": true,\n \"banner_overlay_color\": \"<string>\",\n \"banner_overlay_opacity\": 50,\n \"support_email\": \"jsmith@example.com\",\n \"screen_capture_blocked\": true,\n \"ebook_watermark_enabled\": true,\n \"video_watermark_enabled\": true,\n \"watermark_fields\": []\n}"
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.patch("https://api.cakto.com.br/public_api/members/areas/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"slug\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"comments_enabled\": true,\n \"always_show_showcase\": true,\n \"single_card_in_student_list\": true,\n \"show_students_count\": true,\n \"show_free_lessons_row\": true,\n \"public_showcase\": true,\n \"hero_title\": \"<string>\",\n \"hero_description\": \"<string>\",\n \"hero_cta_label\": \"<string>\",\n \"hero_cta_section\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hero_cta_url\": \"<string>\",\n \"title_font_family\": \"<string>\",\n \"title_color\": \"<string>\",\n \"subtitle_color\": \"<string>\",\n \"cta_font_family\": \"<string>\",\n \"cta_color\": \"<string>\",\n \"logo_font_family\": \"<string>\",\n \"logo_label\": \"<string>\",\n \"banner_overlay_enabled\": true,\n \"banner_overlay_color\": \"<string>\",\n \"banner_overlay_opacity\": 50,\n \"support_email\": \"jsmith@example.com\",\n \"screen_capture_blocked\": true,\n \"ebook_watermark_enabled\": true,\n \"video_watermark_enabled\": true,\n \"watermark_fields\": []\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/members/areas/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"slug\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"comments_enabled\": true,\n \"always_show_showcase\": true,\n \"single_card_in_student_list\": true,\n \"show_students_count\": true,\n \"show_free_lessons_row\": true,\n \"public_showcase\": true,\n \"hero_title\": \"<string>\",\n \"hero_description\": \"<string>\",\n \"hero_cta_label\": \"<string>\",\n \"hero_cta_section\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hero_cta_url\": \"<string>\",\n \"title_font_family\": \"<string>\",\n \"title_color\": \"<string>\",\n \"subtitle_color\": \"<string>\",\n \"cta_font_family\": \"<string>\",\n \"cta_color\": \"<string>\",\n \"logo_font_family\": \"<string>\",\n \"logo_label\": \"<string>\",\n \"banner_overlay_enabled\": true,\n \"banner_overlay_color\": \"<string>\",\n \"banner_overlay_opacity\": 50,\n \"support_email\": \"jsmith@example.com\",\n \"screen_capture_blocked\": true,\n \"ebook_watermark_enabled\": true,\n \"video_watermark_enabled\": true,\n \"watermark_fields\": []\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"product": "<string>",
"logo": "<string>",
"logo_original": "<string>",
"banner": "<string>",
"banner_original": "<string>",
"banner_mobile": "<string>",
"banner_mobile_original": "<string>",
"support_email": "jsmith@example.com",
"copy_status": "copying",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"status": "draft",
"description": "<string>",
"comments_enabled": true,
"always_show_showcase": true,
"single_card_in_student_list": true,
"show_students_count": true,
"show_free_lessons_row": true,
"public_showcase": true,
"hero_title": "<string>",
"hero_description": "<string>",
"hero_cta_label": "<string>",
"hero_cta_section": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title_font_family": "<string>",
"title_color": "<string>",
"subtitle_color": "<string>",
"cta_font_family": "<string>",
"cta_color": "<string>",
"logo_font_family": "<string>",
"logo_label": "<string>",
"banner_overlay_enabled": true,
"banner_overlay_color": "<string>",
"banner_overlay_opacity": 50,
"screen_capture_blocked": true,
"ebook_watermark_enabled": true,
"video_watermark_enabled": true,
"watermark_fields": [
"email"
]
}Áreas
Editar área de membros
Altera só os campos enviados.
PATCH
/
public_api
/
members
/
areas
/
{id}
/
Editar área de membros
curl --request PATCH \
--url https://api.cakto.com.br/public_api/members/areas/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"comments_enabled": true,
"always_show_showcase": true,
"single_card_in_student_list": true,
"show_students_count": true,
"show_free_lessons_row": true,
"public_showcase": true,
"hero_title": "<string>",
"hero_description": "<string>",
"hero_cta_label": "<string>",
"hero_cta_section": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hero_cta_url": "<string>",
"title_font_family": "<string>",
"title_color": "<string>",
"subtitle_color": "<string>",
"cta_font_family": "<string>",
"cta_color": "<string>",
"logo_font_family": "<string>",
"logo_label": "<string>",
"banner_overlay_enabled": true,
"banner_overlay_color": "<string>",
"banner_overlay_opacity": 50,
"support_email": "jsmith@example.com",
"screen_capture_blocked": true,
"ebook_watermark_enabled": true,
"video_watermark_enabled": true,
"watermark_fields": []
}
'import requests
url = "https://api.cakto.com.br/public_api/members/areas/{id}/"
payload = {
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"comments_enabled": True,
"always_show_showcase": True,
"single_card_in_student_list": True,
"show_students_count": True,
"show_free_lessons_row": True,
"public_showcase": True,
"hero_title": "<string>",
"hero_description": "<string>",
"hero_cta_label": "<string>",
"hero_cta_section": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hero_cta_url": "<string>",
"title_font_family": "<string>",
"title_color": "<string>",
"subtitle_color": "<string>",
"cta_font_family": "<string>",
"cta_color": "<string>",
"logo_font_family": "<string>",
"logo_label": "<string>",
"banner_overlay_enabled": True,
"banner_overlay_color": "<string>",
"banner_overlay_opacity": 50,
"support_email": "jsmith@example.com",
"screen_capture_blocked": True,
"ebook_watermark_enabled": True,
"video_watermark_enabled": True,
"watermark_fields": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slug: '<string>',
name: '<string>',
description: '<string>',
comments_enabled: true,
always_show_showcase: true,
single_card_in_student_list: true,
show_students_count: true,
show_free_lessons_row: true,
public_showcase: true,
hero_title: '<string>',
hero_description: '<string>',
hero_cta_label: '<string>',
hero_cta_section: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
hero_cta_url: '<string>',
title_font_family: '<string>',
title_color: '<string>',
subtitle_color: '<string>',
cta_font_family: '<string>',
cta_color: '<string>',
logo_font_family: '<string>',
logo_label: '<string>',
banner_overlay_enabled: true,
banner_overlay_color: '<string>',
banner_overlay_opacity: 50,
support_email: 'jsmith@example.com',
screen_capture_blocked: true,
ebook_watermark_enabled: true,
video_watermark_enabled: true,
watermark_fields: []
})
};
fetch('https://api.cakto.com.br/public_api/members/areas/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cakto.com.br/public_api/members/areas/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'slug' => '<string>',
'name' => '<string>',
'description' => '<string>',
'comments_enabled' => true,
'always_show_showcase' => true,
'single_card_in_student_list' => true,
'show_students_count' => true,
'show_free_lessons_row' => true,
'public_showcase' => true,
'hero_title' => '<string>',
'hero_description' => '<string>',
'hero_cta_label' => '<string>',
'hero_cta_section' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'hero_cta_url' => '<string>',
'title_font_family' => '<string>',
'title_color' => '<string>',
'subtitle_color' => '<string>',
'cta_font_family' => '<string>',
'cta_color' => '<string>',
'logo_font_family' => '<string>',
'logo_label' => '<string>',
'banner_overlay_enabled' => true,
'banner_overlay_color' => '<string>',
'banner_overlay_opacity' => 50,
'support_email' => 'jsmith@example.com',
'screen_capture_blocked' => true,
'ebook_watermark_enabled' => true,
'video_watermark_enabled' => true,
'watermark_fields' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.cakto.com.br/public_api/members/areas/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"slug\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"comments_enabled\": true,\n \"always_show_showcase\": true,\n \"single_card_in_student_list\": true,\n \"show_students_count\": true,\n \"show_free_lessons_row\": true,\n \"public_showcase\": true,\n \"hero_title\": \"<string>\",\n \"hero_description\": \"<string>\",\n \"hero_cta_label\": \"<string>\",\n \"hero_cta_section\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hero_cta_url\": \"<string>\",\n \"title_font_family\": \"<string>\",\n \"title_color\": \"<string>\",\n \"subtitle_color\": \"<string>\",\n \"cta_font_family\": \"<string>\",\n \"cta_color\": \"<string>\",\n \"logo_font_family\": \"<string>\",\n \"logo_label\": \"<string>\",\n \"banner_overlay_enabled\": true,\n \"banner_overlay_color\": \"<string>\",\n \"banner_overlay_opacity\": 50,\n \"support_email\": \"jsmith@example.com\",\n \"screen_capture_blocked\": true,\n \"ebook_watermark_enabled\": true,\n \"video_watermark_enabled\": true,\n \"watermark_fields\": []\n}"
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.patch("https://api.cakto.com.br/public_api/members/areas/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"slug\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"comments_enabled\": true,\n \"always_show_showcase\": true,\n \"single_card_in_student_list\": true,\n \"show_students_count\": true,\n \"show_free_lessons_row\": true,\n \"public_showcase\": true,\n \"hero_title\": \"<string>\",\n \"hero_description\": \"<string>\",\n \"hero_cta_label\": \"<string>\",\n \"hero_cta_section\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hero_cta_url\": \"<string>\",\n \"title_font_family\": \"<string>\",\n \"title_color\": \"<string>\",\n \"subtitle_color\": \"<string>\",\n \"cta_font_family\": \"<string>\",\n \"cta_color\": \"<string>\",\n \"logo_font_family\": \"<string>\",\n \"logo_label\": \"<string>\",\n \"banner_overlay_enabled\": true,\n \"banner_overlay_color\": \"<string>\",\n \"banner_overlay_opacity\": 50,\n \"support_email\": \"jsmith@example.com\",\n \"screen_capture_blocked\": true,\n \"ebook_watermark_enabled\": true,\n \"video_watermark_enabled\": true,\n \"watermark_fields\": []\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/members/areas/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"slug\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"comments_enabled\": true,\n \"always_show_showcase\": true,\n \"single_card_in_student_list\": true,\n \"show_students_count\": true,\n \"show_free_lessons_row\": true,\n \"public_showcase\": true,\n \"hero_title\": \"<string>\",\n \"hero_description\": \"<string>\",\n \"hero_cta_label\": \"<string>\",\n \"hero_cta_section\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hero_cta_url\": \"<string>\",\n \"title_font_family\": \"<string>\",\n \"title_color\": \"<string>\",\n \"subtitle_color\": \"<string>\",\n \"cta_font_family\": \"<string>\",\n \"cta_color\": \"<string>\",\n \"logo_font_family\": \"<string>\",\n \"logo_label\": \"<string>\",\n \"banner_overlay_enabled\": true,\n \"banner_overlay_color\": \"<string>\",\n \"banner_overlay_opacity\": 50,\n \"support_email\": \"jsmith@example.com\",\n \"screen_capture_blocked\": true,\n \"ebook_watermark_enabled\": true,\n \"video_watermark_enabled\": true,\n \"watermark_fields\": []\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"product": "<string>",
"logo": "<string>",
"logo_original": "<string>",
"banner": "<string>",
"banner_original": "<string>",
"banner_mobile": "<string>",
"banner_mobile_original": "<string>",
"support_email": "jsmith@example.com",
"copy_status": "copying",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"status": "draft",
"description": "<string>",
"comments_enabled": true,
"always_show_showcase": true,
"single_card_in_student_list": true,
"show_students_count": true,
"show_free_lessons_row": true,
"public_showcase": true,
"hero_title": "<string>",
"hero_description": "<string>",
"hero_cta_label": "<string>",
"hero_cta_section": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title_font_family": "<string>",
"title_color": "<string>",
"subtitle_color": "<string>",
"cta_font_family": "<string>",
"cta_color": "<string>",
"logo_font_family": "<string>",
"logo_label": "<string>",
"banner_overlay_enabled": true,
"banner_overlay_color": "<string>",
"banner_overlay_opacity": 50,
"screen_capture_blocked": true,
"ebook_watermark_enabled": true,
"video_watermark_enabled": true,
"watermark_fields": [
"email"
]
}Escopo
write members
Authorizations
Token de autenticação do tipo Bearer {access_token}, onde {access_token} é o token obtido no fluxo de autenticação.
Body
application/json
Response
Was this page helpful?